## php-faker 1.20.0+dfsg

=== Makefile ===
.PHONY: build
build: cs static test ## Runs cs, static, and test targets

# https://www.gnu.org/software/make/manual/html_node/Force-Targets.html
always:

.PHONY: help
help:
	@grep -E '^[a-zA-Z0-9_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'

.PHONY: cs
cs: vendor ## Fixes coding standard issues with php-cs-fixer
	vendor/bin/php-cs-fixer fix --diff --verbose

.PHONY: coverage
coverage: vendor ## Collects coverage with phpunit
	vendor/bin/simple-phpunit --coverage-text --coverage-clover=.build/logs/clover.xml

.PHONY: test
test: vendor ## Runs tests with phpunit
	vendor/bin/simple-phpunit

.PHONY: static
static: vendor ## Runs static analyzers
	vendor/bin/phpstan
	vendor/bin/psalm

.PHONY: baseline
baseline: vendor ## Generate baseline files
	vendor/bin/phpstan --generate-baseline
	vendor/bin/psalm --update-baseline

.PHONY: clean
clean:   ## Cleans up build and vendor files
	rm -rf vendor composer.lock .build

vendor: always
	composer update --no-interaction
	composer bin all install --no-interaction
	vendor/bin/simple-phpunit install

## php-faker 1.17.0+dfsg

=== debian/changelog ===
php-faker (1.17.0+dfsg-2) unstable; urgency=medium

  [ David Prévot ]
  * Update Standards-Version to 4.6.1
  * Remove self from Uploaders

 -- Robin Gustafsson <robin@rgson.se>  Sun, 21 Aug 2022 14:57:29 +0200

php-faker (1.17.0+dfsg-1) unstable; urgency=medium

  * Initial release (new Laravel stack dependency)

 -- David Prévot <taffit@debian.org>  Tue, 28 Dec 2021 18:24:44 -0400

=== debian/control ===
Source: php-faker
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Robin Gustafsson <robin@rgson.se>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               php-intl,
               php-psr-container,
               php-symfony-deprecation-contracts,
               phpab,
               phpunit
Standards-Version: 4.6.1
Homepage: https://github.com/FakerPHP/Faker
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-faker
Vcs-Git: https://salsa.debian.org/php-team/pear/php-faker.git
Rules-Requires-Root: no

Package: php-faker
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 Faker helps one to bootstrap database, create XML documents, fill-in
 persistence to stress test it, or anonymize data taken from a production
 service.
 .
 It's heavily inspired by Perl's Data::Faker, and by Ruby's Faker.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	phpabtpl composer.json > debian/autoload.php.tpl
	phpab \
		--output src/Faker/autoload.php \
		--template debian/autoload.php.tpl \
		src
	mkdir --parents vendor
	phpabtpl \
		--require fakerphp/faker \
		> debian/autoload.tests.php.tpl
	phpab \
		--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test

override_dh_auto_test:
	phpunit --include-path src

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require fakerphp/faker > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: php-intl, phpab, phpunit, pkg-php-tools (>= 1.41~), @

## php-faker 1.20.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,8 @@
 		src
 	mkdir --parents vendor
 	phpabtpl \
-		--require fakerphp/faker \
+		--require-file ../src/Faker/autoload.php \
+		--require doctrine/persistence \
 		> debian/autoload.tests.php.tpl
 	phpab \
 		--output vendor/autoload.php \
@@ -18,4 +19,4 @@
 		test
 
 override_dh_auto_test:
-	phpunit --include-path src
+	phpunit

## php-faker 1.20.0+dfsg

=== debian/changelog ===
php-faker (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Rebase patches on new upstream version
  * Wrap and sort control files
  * Add new upstream test dependency
  * Skip incompatible test cases on 32-bit systems

 -- Robin Gustafsson <robin@rgson.se>  Thu, 22 Sep 2022 22:05:16 +0200

=== debian/control ===
Source: php-faker
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders:
 Robin Gustafsson <robin@rgson.se>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-phpcomposer,
 php-doctrine-persistence,
 php-intl,
 php-psr-container,
 php-symfony-deprecation-contracts,
 phpab,
 phpunit,
Standards-Version: 4.6.1
Homepage: https://github.com/FakerPHP/Faker
Vcs-Browser: https://salsa.debian.org/php-team/pear/php-faker
Vcs-Git: https://salsa.debian.org/php-team/pear/php-faker.git
Rules-Requires-Root: no

Package: php-faker
Architecture: all
Depends:
 ${misc:Depends},
 ${phpcomposer:Debian-require},
Recommends:
 ${phpcomposer:Debian-recommend},
Suggests:
 ${phpcomposer:Debian-suggest},
Replaces:
 ${phpcomposer:Debian-replace},
Breaks:
 ${phpcomposer:Debian-conflict},
 ${phpcomposer:Debian-replace},
Provides:
 ${phpcomposer:Debian-provide},
Description: ${phpcomposer:description}
 Faker helps one to bootstrap database, create XML documents, fill-in
 persistence to stress test it, or anonymize data taken from a production
 service.
 .
 It's heavily inspired by Perl's Data::Faker, and by Ruby's Faker.

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpabtpl --require fakerphp/faker --require doctrine/persistence > debian/autoload.tests.php.tpl && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && phpunit
Restrictions: allow-stderr, rw-build-tree
Depends:
 php-doctrine-persistence,
 php-intl,
 phpab,
 phpunit,
 pkg-php-tools (>= 1.41~),
 @,

=== debian/watch ===
version=4
options=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/FakerPHP/Faker \
refs/tags/v?(\d.+)
